Subject: bug#46722: test-map-into fails

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Jan 2022 13:35:42 -0500

> Also in same function, `method-cache` buys you nothing, so getting rid of
> it along with `with-memoization` and `(require subr-x)` is a not
> insubstantial win.

The benefit of the `cl--generic-dispatchers` cache is probably
negligible in terms of performance, indeed.  Its main purpose is to try
and avoid loading the byte-compiler (e.g. most crucially, it saves us
from *pre*loading the byte-compiler).

The benefit of the `method-cache` OTOH should be very significant since
without it we'd have to recompute the effective method at every call.
This said, I have not measured it.

        Stefan